<app-home-toolbar></app-home-toolbar>
<ion-content class="ion-padding">
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">
        <ion-card class="ion-padding">
          <ion-card-header>
            <ion-card-title>{{ 'Reset Password' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>

            <form [formGroup]="form" (ngSubmit)="sendForgotPassword()" (keyup.enter)="sendForgotPassword()" method="post">
              <ion-item>
                <ion-label position="floating">{{ 'Email' | translate }}</ion-label>
                <ion-input type="text" formControlName="email"></ion-input>
              </ion-item>

              <div style="color: red" *ngIf="form.get('email').hasError('required') && form.get('email').touched">
              {{ 'This field is required*' | translate }}</div>
              <div style="color: red" *ngIf="form.get('email').hasError('email') && form.get('email').touched">
              {{ 'Please enter valid email address' | translate }}
              </div>

              <div style="color: red" *ngIf="error">{{ 'Email is incorrect' | translate }}</div>

              <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
              {{ 'Reset Password' | translate }}
              </ion-button>
            </form>

            <p class="ion-text-center">{{ 'Or' | translate }}</p>
            <ion-button expand="full" color="primary" (click)="loginPage()">{{ 'Login' | translate }}</ion-button>

          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>